﻿#language: ru

Функционал: Учет лаб.анализов через ПК

Сценарий: Учет лаб.анализов через ПК
	Дано Я подключаюсь под "Лаборант"
	И В командном интерфейсе я выбираю 'Производство' 'Мониторинг выполнения лабораторных анализов'
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура'   |  'Состояние' |
		| 'показатели МДЖ МДБ' | 'Российский 50%' |  'Заявка'    |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '22,000'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '25,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' |
		| 'показатели МДЖ МДБ' | 'Смесь 50%'    |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,200'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '2,600'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура'  |
		| 'показатели МДЖ МДБ' | 'Сырная крошка' |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '23,000'
	И в таблице "РезультатыАнализов" я завершаю редактирование строки
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '24,500'
	И в таблице "РезультатыАнализов" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Вид анализа'        | 'Номенклатура' |
		| 'показатели МДЖ МДБ' | 'Сыворотка'    |
	И я нажимаю на кнопку с именем 'СписокКомандаАнализыНоменклатуры'
	Тогда открылось окно 'Анализы номенклатуры (создание)'
	И я перехожу к закладке "Результаты анализов"
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '0,100'
	И в таблице "РезультатыАнализов" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "РезультатыАнализов" в поле 'Значение показателя' я ввожу текст '0,050'
	И в таблице "РезультатыАнализов" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Анализы номенклатуры (создание)' в течение 20 секунд
	Тогда открылось окно 'Заявки на анализы номенклатуры'
	И Я закрываю окно 'Заявки на анализы номенклатуры'

Сценарий: 10_milk_scenario.0.010 Закрытие клиента тестирования 
	И я закрываю сеанс TESTCLIENT